> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet balance & history



## OpenAPI

````yaml /openapi.json get /portal/email/wallet
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
  - name: Customer Portal Account
paths:
  /portal/email/wallet:
    get:
      tags:
        - Customer Portal Account
      summary: Wallet balance & history
      operationId: portalEmailWallet
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortalWallet'
      security:
        - portalSession: []
components:
  schemas:
    PortalWallet:
      type: object
      properties:
        balance:
          type: integer
          description: Minor units (kobo).
        currency:
          type: string
        status:
          type: string
          enum:
            - active
            - frozen
            - closed
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/PortalWalletTransaction'
    PortalWalletTransaction:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - credit
            - debit
        reason:
          type: string
          enum:
            - topup
            - virtual_account_funding
            - subscription_charge
            - refund
            - reversal
            - adjustment
        amount:
          type: integer
        balanceAfter:
          type: integer
        memo:
          type: string
          nullable: true
        merchantName:
          type: string
          nullable: true
        createdAt:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.
    portalSession:
      type: apiKey
      in: header
      name: x-portal-session
      description: The session token returned by /portal/email/verify.

````